package com.ho.business.mapper;

import com.ho.business.entity.CurveConfig;
import com.ho.business.entity.DynamicConfig;
import com.ho.business.vo.req.dynamicConfig.DynamicConfigQuery;
import com.ho.business.vo.resp.dynamicConfig.CurveConfigResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface CurveConfigMapper {

    /**
     * 插入数据
     * @param config
     * @return
     */
    int insertOne(CurveConfig config);

    /**
     * 批量插入
     * @param list
     * @return
     */
    int insertList(@Param("list")List<CurveConfig> list);

    /**
     * 批量更新数据
     * @param config
     * @return
     */
    int updateById(CurveConfig config);

    /**
     * 根据条件查询曲线配置数据
     * @param vo
     * @return
     */
    List<CurveConfigResp> selectByParam(DynamicConfigQuery vo);

    /**
     * 根据id删除配置信息
     * @param ids
     * @return
     */
    int deleteByIds(@Param("ids") List<Integer> ids);

    /**
     * 批量更新(带id的插入)
     * @param list
     * @return
     */
    int updateList(@Param("list")List<CurveConfig> list);
}
